﻿#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid;

namespace GridDropDownAndReadOnlyColumns
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.grid.CurrentCellEndEdit += Grid_CurrentCellEndEdit;
        }

        private void Grid_CurrentCellEndEdit(object sender, Syncfusion.UI.Xaml.Grid.CurrentCellEndEditEventArgs e)
        {
            var vc = this.grid.ResolveToGridVisibleColumnIndex(e.RowColumnIndex.ColumnIndex);
            if (vc >= 0 && this.grid.Columns[vc].MappingName == "SupplierID")
            {
                var recIndex = this.grid.ResolveToRecordIndex(e.RowColumnIndex.RowIndex);
                (this.grid.View.Records[recIndex].Data as OrderInfo).IsDropDownOpen = true;
            }
        }
    }
}
